Retrieve order details
Fetches the status and details of a specific order for the given account. Works only for orders created within last 30 days.
| Name | Type | Required | Description |
|---|---|---|---|
| accountId | string | Yes | - |
| orderId | string (uuid) | Yes | - |
No request body defined
Identifies the bracket this order belongs to, which is the orderId of the bracket's entry (parent) order. All legs of the same bracket share this id. Null for standalone (non-bracket) orders.
Creation time of the order
MARKET,LIMIT,STOP,STOP_LIMITBUY,SELLNEW,PARTIALLY_FILLED,CANCELLED,QUEUED_CANCELLED,FILLED,REJECTED,PENDING_REPLACE,PENDING_CANCEL,EXPIRED,REPLACEDQuantity of the order, mutually exclusive with notional value
Notional value (dollar amount) of the order, mutually exclusive with quantity
Present if type = LIMIT
Present if type = STOP
The time the order reached a terminal state, like CANCELLED, FILLED, REJECTED, REPLACED
Present if the order is a single-leg option order, or if the order is a shorting order (sell-to-open or buy-to-close)
OPEN,CLOSEThe filled quantity of the order, present if the order had at least one trade
The average price per unit, present if the order had at least one trade
If instrument.type = MULTI_LEG_INSTRUMENT, this contains the list of legs
For equity orders - which market session was chosen
REGULAR,REST_OF_DAY,TWENTY_FOUR_HOURSThe time the order was filled
The time the order was replaced
The time the order was last modified
The list of trades associated with the order
Order not found.
No response body defined
{
"orderId": "string",
"bracketId": "string",
"instrument": {
"symbol": "string",
"type": "EQUITY"
},
"createdAt": "2023-11-07T05:31:56Z",
"type": "MARKET",
"side": "BUY",
"status": "NEW",
"quantity": "string",
"notionalValue": "string",
"expiration": {
"timeInForce": "DAY",
"expirationTime": "2023-11-07T05:31:56Z"
},
"limitPrice": "string",
"stopPrice": "string",
"closedAt": "2023-11-07T05:31:56Z",
"openCloseIndicator": "OPEN",
"filledQuantity": "string",
"averagePrice": "string",
"legs": [
{
"instrument": {
"symbol": "string",
"type": "EQUITY"
},
"side": "BUY",
"openCloseIndicator": "OPEN",
"ratioQuantity": 123
}
],
"equityMarketSession": "REGULAR",
"filledAt": "2023-11-07T05:31:56Z",
"replacedAt": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"trades": [
{
"instrument": {
"symbol": "string",
"type": "EQUITY"
},
"quantity": "string",
"price": "string",
"side": "BUY",
"tradeId": "string",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"rejectReason": "string"
}